Skip to main content
GET
https://api.legitmark.com
/
api
/
v2
/
types
/
{type_uuid}
Get Type
curl --request GET \
  --url https://api.legitmark.com/api/v2/types/{type_uuid} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Type fetched successfully",
  "category": "SUCCESS",
  "data": {
    "uuid": "95e42d6b-7c4f-11ef-a623-02595575faeb",
    "name": "Crossbody",
    "active": true,
    "sides": [],
    "media": "https://cdn.legitmark.com/types/95e42d6b-7c4f-11ef-a623-02595575faeb.png",
    "feature": false,
    "ordinal": 0,
    "created_at": "2024-09-26T20:43:23.000Z",
    "updated_at": "2026-01-15T03:48:34.000Z",
    "side_details": [],
    "brands": [
      {
        "uuid": "9dd17453-353a-4dc1-9bdc-c08cca38942a",
        "name": "Alexander McQueen",
        "media": "https://cdn.legitmark.com/brands/alexander_mcqueen.png",
        "active": true
      },
      {
        "uuid": "6fce28f2-b59d-11ef-b98d-06fb0f2a63e5",
        "name": "Brunello Cucinelli",
        "media": "https://cdn.legitmark.com/brands/brunello_cucinelli.png",
        "active": true
      }
    ]
  },
  "rc_hit": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:leo_your_api_key_here
required

Bearer token authentication. Use your API key in the format: Bearer leo_xxxxxxxx

Path Parameters

type_uuid
string<uuid>
required

Response

Type retrieved successfully

message
string
required
Example:

"Type fetched successfully"

category
enum<string>
required
Available options:
SUCCESS
Example:

"SUCCESS"

data
object
required
rc_hit
boolean

Indicates if the response was served from cache

Example:

true